scala.xml
class SpecialNode

[source: `scala/xml/SpecialNode.scala`]

`abstract` `class` SpecialNode
  `extends` Node `with` XMLEvent

  `SpecialNode` is a special XML node which represents either text (PCDATA), a comment, a PI, or an entity ref.

  SpecialNodes also play the role of XMLEvents for pull-parsing.

Author
  Burak Emir

Direct Known Subclasses:
  Atom, Comment, EntityRef, ProcInstr

Method Summary
`override final def` | attributes : Null always empty
`final def` | child : Nil always empty
`override final def` | namespace : Null always Node.EmptyNamespace
`abstract def` | toString (sb : StringBuilder) : StringBuilder append string representation to the given stringbuffer

Methods inherited from Node
label (abstract), prefix, scope, getNamespace, attribute, attribute, descendant, descendant_or_self, equals, hashCode, theSeq, toString, toString, nameToString, xmlType, text

Methods inherited from NodeSeq
length, elements, apply, apply, \, \\

Methods inherited from Seq
lengthCompare, size, isEmpty, concat, last, lastOption, headOption, ++, isDefinedAt, lastIndexOf, map, flatMap, filter, take, drop, slice, takeWhile, dropWhile, reverse, contains, subseq, toArray, projection, equalsWith, startsWith, endsWith, indexOf, containsSlice

Methods inherited from Collection
stringPrefix

Methods inherited from Iterable
partition, foreach, forall, exists, find, findIndexOf, indexOf, foldLeft, foldRight, /:, :\, reduceLeft, reduceRight, copyToBuffer, sameElements, toList, toStream, mkString, mkString, mkString, addString, addString, copyToArray, hasDefiniteSize

Methods inherited from PartialFunction
orElse, andThen

Methods inherited from Function1
compose

Methods inherited from AnyRef
getClass, clone, notify, notifyAll, wait, wait, wait, finalize, ==, !=, eq, ne, synchronized

Methods inherited from Any
==, !=, isInstanceOf, asInstanceOf

Method Details

`override final` `def` attributes : Null

  always empty

Overrides
  Node.attributes

`override final` `def` namespace : Null

  always Node.EmptyNamespace

Overrides
  Node.namespace

`final` `def` child : Nil

  always empty

Overrides
  Node.child

`abstract` `def` toString(sb : StringBuilder) : StringBuilder

  append string representation to the given stringbuffer